Bug 76746 - Upgrade to oprofile 0.3 with module support.
Upgrade to oprofile 0.3 with module support.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-25 14:06 EDT by hjl
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Support oprofile module (1.10 KB, patch)
2002-10-25 14:08 EDT, hjl
no flags Details | Diff
Upgrade to oprofile 0.3 (129.85 KB, patch)
2002-10-25 14:09 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2002-10-25 14:06:41 EDT
I appended 2 patches, one for module and the
other for oprofile 0.3.
Comment 1 hjl 2002-10-25 14:08:51 EDT
Created attachment 82105 [details]
Support oprofile module
Comment 2 hjl 2002-10-25 14:09:36 EDT
Created attachment 82106 [details]
Upgrade to oprofile 0.3
Comment 3 Arjan van de Ven 2002-10-25 14:10:47 EDT
exporting the sys_call_table is not an option; it actually makes oprofile unsafe
to use ;(
Comment 4 Arjan van de Ven 2002-10-25 14:11:16 EDT
the real fix is to backport the 2.5 version that doesn't need this export...
Comment 5 hjl 2002-10-25 14:13:39 EDT
Do you have a testcase to show the sys_call_table
problem? I haven't noticed any yet.
Comment 6 Arjan van de Ven 2002-10-25 14:15:36 EDT
sure

load oprofile. load vtune.
stop oprofile, unload module
stop vtune
BOOM

both oprofile and vtune would stack on the same syscalls... but only save the
last one.
Comment 7 hjl 2002-10-25 17:08:22 EDT
Are you implying making oprofile builtin makes it safe?
If it is true, I have one line change to disable unloading
oprofile.
Comment 8 Arjan van de Ven 2002-10-25 17:10:00 EDT
not making the syscall table available to modules makes it safe
eg there is only going to be exactly 1 thing that can muck about with it and
that is oprofile
Comment 9 hjl 2002-10-25 17:18:34 EDT
I can live with that if I have to make a choice.
I need oprofile on UP kernel and it is disabled.
The worst can happen is I have to remember I can
only use oprofile or vtune at a time. I don't
even know/use vtune, which I assume has something
to do with VTune from Intel.
Comment 10 Arjan van de Ven 2002-10-25 17:20:10 EDT
the reason oprofile is disabled on UP is because it unconditially enabled the
apic... which breaks several laptops

we're trying to fix THAT and then it'll be on in the UP kernel again
Comment 11 Bugzilla owner 2004-09-30 11:40:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.